List screening webhooks
curl --request GET \
--url https://admin-api.gominerva.com/v2/webhooks/screening \
--header 'x-api-key: <api-key>'import requests
url = "https://admin-api.gominerva.com/v2/webhooks/screening"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://admin-api.gominerva.com/v2/webhooks/screening', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"id": "ecc9b161-e6bf-48e4-816d-b13046a42eaa",
"webhookName": "Test webhook",
"webhookKey": "e7b3b2f0-8e17-40a5-a083-2234c6bc9dab",
"events": [
{
"kind": "profile_status_updated",
"values": [
"potential_match",
"accepted",
"rejected"
]
}
],
"url": "https://your.web.site/path"
}
],
"totalRecords": 1,
"totalPages": 1
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}Screening Webhooks
List screening webhooks
The GET method on the resource group will list screening webhooks that have been previously created in the tenant of the requester. This can be used to extract a list of screening webhooks to review the current webhooks that are in place for the tenant for reference or cleanup purposes.
GET
/
v2
/
webhooks
/
screening
List screening webhooks
Authorizations
Admin API key for authentication. Manage API keys in the Minerva dashboard under Administration > Developers.
Query Parameters
The current page cursor to fetch, starting at 1
Required range:
x >= 1The number of records to fetch per page
Required range:
1 <= x <= 100